summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bin/quilt.in5
-rw-r--r--quilt.changes3
-rw-r--r--quilt/annotate.in6
-rw-r--r--quilt/diff.in12
-rw-r--r--quilt/fold.in4
-rw-r--r--quilt/fork.in4
-rw-r--r--quilt/grep.in2
-rw-r--r--quilt/header.in4
-rw-r--r--quilt/mail.in33
-rw-r--r--quilt/patches.in2
-rw-r--r--quilt/pop.in10
-rw-r--r--quilt/push.in18
-rw-r--r--quilt/refresh.in6
-rw-r--r--quilt/setup.in2
-rw-r--r--quilt/snapshot.in2
-rw-r--r--scripts/inspect.in17
-rw-r--r--scripts/patchfns.in48
17 files changed, 89 insertions, 89 deletions
diff --git a/bin/quilt.in b/bin/quilt.in
index 96ea404..f37a7a0 100644
--- a/bin/quilt.in
+++ b/bin/quilt.in
@@ -37,7 +37,7 @@ usage()
quilt_commands \
| sort \
| column | column -t \
- | @SED@ -e $'s/^/\t/'
+ | sed -e $'s/^/\t/'
echo $"
Global options:
@@ -140,6 +140,5 @@ fi
set -- "${args[@]}"
unset args
-#source @QUILT@/$command
export QUILT_COMMAND="${command##*/}"
-@BASH@ $BASH_OPTS -c ". @QUILT@/$command" "quilt ${command##*/}" "$@"
+bash $BASH_OPTS -c ". @QUILT@/$command" "quilt ${command##*/}" "$@"
diff --git a/quilt.changes b/quilt.changes
index e30dfb8..7c45774 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -1,5 +1,5 @@
-------------------------------------------------------------------
-Sun Sep 18 02:03:10 CEST 2005 - agruen@suse.de
+Sun Sep 18 02:04:19 CEST 2005 - agruen@suse.de
- Merge compatibility layer from John Vandenberg <jayvdb@gmail.com>.
- Only add compat/ directory to PATH if it exists. Only create it
@@ -9,6 +9,7 @@ Sun Sep 18 02:03:10 CEST 2005 - agruen@suse.de
included. Clean up some Makefile dependencies.
- Replace @INSTALL@ with $(INSTALL) and @BASH@ with $(BASH) in
Makefile.in.
+- Replace @FOO@ macros in scripts with foo command where possible.
-------------------------------------------------------------------
Fri Sep 16 20:57:32 CEST 2005 - khali@linux-fr.org
diff --git a/quilt/annotate.in b/quilt/annotate.in
index 5510262..7113d94 100644
--- a/quilt/annotate.in
+++ b/quilt/annotate.in
@@ -48,8 +48,8 @@ annotation_for()
local old_file=$1 new_file=$2 annotation=$3
[ -s "$old_file" ] || old_file=/dev/null
[ -s "$new_file" ] || new_file=/dev/null
- @DIFF@ -Ne "$old_file" "$new_file" \
- | @PERL@ -e '
+ diff -Ne "$old_file" "$new_file" \
+ | perl -e '
while (<>) {
if (/^\d+(?:,\d+)?[ac]$/) {
print;
@@ -175,7 +175,7 @@ for ((n = 0; n < ${#patches[@]}; n++))
do
annotation_for "${files[n]}" "${files[n+1]}" $((n+1))
done \
-| @PATCH@ $template
+| patch $template
merge_files $template "${files[${#files[@]}-1]}"
echo
diff --git a/quilt/diff.in b/quilt/diff.in
index 20a5861..bf6a7c4 100644
--- a/quilt/diff.in
+++ b/quilt/diff.in
@@ -77,7 +77,7 @@ included.
colorize() {
if [ -n "$opt_color" ]; then
- @AWK@ '
+ awk '
{ if (/^(Index:|\-\-\-|\+\+\+|\*\*\*) /)
print "'$color_diff_hdr'" $0 "'$color_clear'"
else if (/^\+/)
@@ -116,7 +116,7 @@ do_diff()
then
[ -s "$old_file" ] || old_file=/dev/null
[ -s "$new_file" ] || new_file=/dev/null
- if ! @DIFF@ -qN $old_file $new_file >/dev/null
+ if ! diff -qN $old_file $new_file >/dev/null
then
export LANG=$ORIGINAL_LANG
$opt_diff $old_file $new_file
@@ -319,7 +319,7 @@ exec 4>&- # close $tmp_files
if [ -z "$opt_sort" ]
then
files=( $(
- @AWK@ '
+ awk '
{ if ($0 in seen)
next
seen[$0]=1
@@ -352,9 +352,9 @@ then
if [ -s $patch_file ]
then
if ! cat_file $patch_file \
- | @PATCH@ -d $workdir $QUILT_PATCH_OPTS $patch_args \
- --no-backup-if-mismatch -Ef \
- >/dev/null 2>/dev/null
+ | patch -d $workdir $QUILT_PATCH_OPTS $patch_args \
+ --no-backup-if-mismatch -Ef \
+ >/dev/null 2>/dev/null
then
# Generating a relative diff for a subset of files in
# the patch will fail. Also, if a patch was force
diff --git a/quilt/fold.in b/quilt/fold.in
index 1dfa784..0d6da2c 100644
--- a/quilt/fold.in
+++ b/quilt/fold.in
@@ -83,8 +83,8 @@ fi
trap "failed=1" SIGINT
workdir=$(gen_tempfile -d $PWD)
-@PATCH@ -d ${SUBDIR:-.} $QUILT_PATCH_OPTS -p$opt_strip_level $silent \
- --backup --prefix="$workdir/$SUBDIR" -E \
+patch -d ${SUBDIR:-.} $QUILT_PATCH_OPTS -p$opt_strip_level $silent \
+ --backup --prefix="$workdir/$SUBDIR" -E \
|| failed=1
if [ -z "$failed" ]
diff --git a/quilt/fork.in b/quilt/fork.in
index 39f82b2..0db3242 100644
--- a/quilt/fork.in
+++ b/quilt/fork.in
@@ -78,9 +78,9 @@ then
new_patch="$1"
else
base=$(echo "$top_patch" \
- | @SED@ -e 's:\(\|\.diff\?\|\.patch\)\(\|\.gz\|\.bz2\)$::')
+ | sed -e 's:\(\|\.diff\?\|\.patch\)\(\|\.gz\|\.bz2\)$::')
num=$(echo "$base" \
- | @SED@ -ne 's:.*\(-[0-9]\+\)$:\1:'p)
+ | sed -ne 's:.*\(-[0-9]\+\)$:\1:'p)
if [ -n "$num" ]
then
new_patch="${base:0:${#base}-${#num}}-$((${num:1}+1))"
diff --git a/quilt/grep.in b/quilt/grep.in
index 8b8261d..de583d0 100644
--- a/quilt/grep.in
+++ b/quilt/grep.in
@@ -120,7 +120,7 @@ find "${myargs[@]}" \( \
-type f -print \
| xargs grep $opt_H "${args[@]}" \
| if [ ${#myargs[@]} -eq 0 ]; then
- @SED@ -e 's,^./,,'
+ sed -e 's,^./,,'
else
cat
fi
diff --git a/quilt/header.in b/quilt/header.in
index fc9e3cf..72e4bc6 100644
--- a/quilt/header.in
+++ b/quilt/header.in
@@ -52,7 +52,7 @@ maybe_strip_trailing_whitespace()
{
if [ -n "$opt_strip_trailing_whitespace" ]
then
- @SED@ -e 's:[ '$'\t'']*$::'
+ sed -e 's:[ '$'\t'']*$::'
else
cat
fi
@@ -62,7 +62,7 @@ maybe_strip_diffstat()
{
if [ -n "$opt_strip_diffstat" ]
then
- @AWK@ '
+ awk '
/#? .* \| / \
{ eat = eat $0 "\n"
next }
diff --git a/quilt/mail.in b/quilt/mail.in
index ccd72f0..709a6f7 100644
--- a/quilt/mail.in
+++ b/quilt/mail.in
@@ -73,7 +73,7 @@ process_mail()
else
local from_date=$(date "+%a %b %e %H:%M:%S %Y")
echo "From ${LOGNAME:-$(whoami)}@$(hostname -f) $from_date"
- @SED@ -e 's/^From />From /' $tmpfile
+ sed -e 's/^From />From /' $tmpfile
echo
fi
rm -f $tmpfile
@@ -145,7 +145,7 @@ if [ "$(type -t quilt_mail_patch_filter 2> /dev/null)" != function ]; then
cat
# We could quote everything that looks like a mail
# header instead:
- #@SED@ -e $'s/^[\41-\176]\\+:/>&/'
+ #sed -e $'s/^[\41-\176]\\+:/>&/'
}
fi
@@ -175,15 +175,15 @@ if [ -n "$opt_mbox" ]; then
exec 1> $opt_mbox
fi
-subject_prefix=$(@SED@ -ne $'s/^Subject-Prefix:[ \t]*//p' $introduction)
+subject_prefix=$(sed -ne $'s/^Subject-Prefix:[ \t]*//p' $introduction)
[ -n "$subject_prefix" ] && subject_prefix="$subject_prefix "
subject_prefix=${subject_prefix//\'/\'\'}
subject_prefix=${subject_prefix//\//\\\/}
p=${subject_prefix//@num@/$(printf %0*d ${#total} 0)}
p=${p//@total@/$total}
-@SED@ -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
- -e '/^Subject-Prefix:/d' \
+sed -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
+ -e '/^Subject-Prefix:/d' \
$introduction \
| @SCRIPTS@/edmail --charset $opt_charset \
--remove-empty-headers To Cc Bcc \
@@ -197,7 +197,7 @@ fi
# increment the timestamp by one second and wait with sending until
# that time has arrived. This allows MUAs to show the messages in the
# correct order.
-last_ts=$(date '+%s' -d "$(@SED@ -ne $'s/^Date:[ \t]*//p' $introduction)")
+last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
num=1
body=$(gen_tempfile)
@@ -212,7 +212,7 @@ for patch in "$@"; do
cat_file $(patch_file_name $patch) \
| quilt_mail_patch_filter $patch > $body
- modify="$(@AWK@ '
+ modify="$(awk '
sub(/^Recipient-/, "") { r = gensub(/:.*/, "", "g")
s = gensub(/^[^:]*:[ \t]*/, "", "g")
gsub(/'\''/, "'\'\''", s)
@@ -227,14 +227,15 @@ for patch in "$@"; do
p=${subject_prefix//@num@/$(printf %0*d ${#total} $num)}
p=${p//@total@/$total}
( echo "Message-Id: <$(msgid)>"
- @SED@ -e 's/^Message-Id:/References:/' \
- -e '/^$/Q' \
- $introduction
+ sed -e 's/^Message-Id:/References:/' \
+ -e '/^$/Q' \
+ $introduction
echo "Content-Disposition: inline; filename=$patch"
- @SED@ -e '/^Recipient-.*:/d' \
- -e '/^Replace-.*:/d' \
- -e '/^$/Q' $body
- @AWK@ '
+ sed -e '/^Recipient-.*:/d' \
+ -e '/^Replace-.*:/d' \
+ -e '/^$/Q' \
+ $body
+ awk '
/^$/ { in_body = 1 }
in_body { print }
' $body
@@ -244,8 +245,8 @@ for patch in "$@"; do
--replace-header Date="\"$new_date\"" \
To Cc Bcc \
$modify \
- | @SED@ -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
- -e '/^Subject-Prefix:/d' \
+ | sed -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
+ -e '/^Subject-Prefix:/d' \
| @SCRIPTS@/edmail --remove-empty-headers \
| process_mail
diff --git a/quilt/patches.in b/quilt/patches.in
index 1c1b18c..94e8ee5 100644
--- a/quilt/patches.in
+++ b/quilt/patches.in
@@ -54,7 +54,7 @@ touched_by_patch()
{
local strip=$1 patch=$2
cat_file $(patch_file_name $patch) \
- | @AWK@ '
+ | awk '
/^\+\+\+[ \t]/ {
sub(/^\+\+\+[ \t]/, "")
sub(/[ \t].*/, "")
diff --git a/quilt/pop.in b/quilt/pop.in
index 2026be1..5fa7d19 100644
--- a/quilt/pop.in
+++ b/quilt/pop.in
@@ -115,10 +115,10 @@ check_for_pending_changes()
if [ -s $patch_file ]
then
if ! cat_file $patch_file \
- | @PATCH@ -d $workdir $QUILT_PATCH_OPTS \
- $(patch_args $patch) \
- --no-backup-if-mismatch -E \
- >/dev/null 2>/dev/null
+ | patch -d $workdir $QUILT_PATCH_OPTS \
+ $(patch_args $patch) \
+ --no-backup-if-mismatch -E \
+ >/dev/null 2>/dev/null
then
if ! [ -e $QUILT_PC/$patch ]
then
@@ -135,7 +135,7 @@ check_for_pending_changes()
file=$workdir/$file2
[ -e $file ] || file=/dev/null
[ -e $file2 ] || file2=/dev/null
- @DIFF@ -q $file $file2 > /dev/null || failed=1
+ diff -q $file $file2 > /dev/null || failed=1
done
if [ -n "$failed" ]
diff --git a/quilt/push.in b/quilt/push.in
index 5f2f75f..d8bb245 100644
--- a/quilt/push.in
+++ b/quilt/push.in
@@ -69,7 +69,7 @@ interrupt()
colorize()
{
if [ -n "$opt_color" ]; then
- @AWK@ '
+ awk '
{ if (/FAILED|hunks? ignored|can'\''t find file|file .* already exists/)
print "'$color_patch_fail'" $0 "'$color_clear'"
else if (/^Hunk/) {
@@ -96,22 +96,22 @@ apply_patch()
if [ "${patch_file:(-3)}" = ".gz" ]
then
gzip -cd $patch_file \
- | @PATCH@ $QUILT_PATCH_OPTS $(patch_args $patch) \
+ | patch $QUILT_PATCH_OPTS $(patch_args $patch) \
--backup --prefix="$QUILT_PC/$patch/" \
$no_reject_files \
-E $silent $force_apply 2>&1
elif [ "${patch_file:(-4)}" = ".bz2" ]
then
bzip2 -cd $patch_file \
- | @PATCH@ $QUILT_PATCH_OPTS $(patch_args $patch) \
+ | patch $QUILT_PATCH_OPTS $(patch_args $patch) \
--backup --prefix="$QUILT_PC/$patch/" \
$no_reject_files \
-E $silent $force_apply 2>&1
else
- @PATCH@ $QUILT_PATCH_OPTS $(patch_args $patch) \
- --backup --prefix="$QUILT_PC/$patch/" \
- $no_reject_files \
- -E $silent $force_apply -i $patch_file 2>&1
+ patch $QUILT_PATCH_OPTS $(patch_args $patch) \
+ --backup --prefix="$QUILT_PC/$patch/" \
+ $no_reject_files \
+ -E $silent $force_apply -i $patch_file 2>&1
fi
}
@@ -131,12 +131,12 @@ cleanup_patch_output() {
# which reject file is used. We use a single temporary
# reject file, so this does not help us.
- @AWK@ '
+ awk '
{ gsub(/ -- saving rejects to file .*/, "") }
{ print }
'
else
- @AWK@ '
+ awk '
/^patching file / { filename = substr($0, 15) }
{ gsub(/ -- saving rejects to file .*/,
" -- rejects in file " filename) }
diff --git a/quilt/refresh.in b/quilt/refresh.in
index 70aa6cd..8ae63c0 100644
--- a/quilt/refresh.in
+++ b/quilt/refresh.in
@@ -256,8 +256,8 @@ tmp_result=$(gen_tempfile) || die 1
if [ -n "$opt_diffstat" ]
then
- diffstat="$(@DIFFSTAT@ $QUILT_DIFFSTAT_OPTS -p$opt_strip_level $tmp_patch)" || die 1
- @AWK@ '
+ diffstat="$(diffstat $QUILT_DIFFSTAT_OPTS -p$opt_strip_level $tmp_patch)" || die 1
+ awk '
function print_diffstat(arr, i) {
split(diffstat, arr, "\n")
for (i=1; i in arr; i++)
@@ -290,7 +290,7 @@ fi
cat $tmp_patch >> $tmp_result
if [ -e $patch_file ] && \
- @DIFF@ -q $patch_file $tmp_result > /dev/null
+ diff -q $patch_file $tmp_result > /dev/null
then
printf $"Patch %s is unchanged\n" "$(print_patch $patch)"
elif ( [ -z "$QUILT_BACKUP" -o ! -e $patch_file ] || \
diff --git a/quilt/setup.in b/quilt/setup.in
index ef37773..ef8e6d1 100644
--- a/quilt/setup.in
+++ b/quilt/setup.in
@@ -89,7 +89,7 @@ up() {
check_for_existing_files() {
local dir status=0
- for dir in $(@AWK@ ' $1 = "patch" { print $2 }' $tmpfile | uniq)
+ for dir in $(awk ' $1 = "patch" { print $2 }' $tmpfile | uniq)
do
if [ -e "$prefix$dir/$QUILT_PATCHES" ]
then
diff --git a/quilt/snapshot.in b/quilt/snapshot.in
index 4201370..2056267 100644
--- a/quilt/snapshot.in
+++ b/quilt/snapshot.in
@@ -78,7 +78,7 @@ mkdir -p $QUILT_PC/$snap_subdir
for patch in $(applied_patches); do
files_in_patch $patch
done \
-| @AWK@ ' # filter out duplicates
+| awk ' # filter out duplicates
{ if (seen[$0])
next
seen[$0] = 1
diff --git a/scripts/inspect.in b/scripts/inspect.in
index 7ad2b7a..b929b0f 100644
--- a/scripts/inspect.in
+++ b/scripts/inspect.in
@@ -85,11 +85,6 @@ done > $tmpdir/md5sums
echo >&4
shopt -u nullglob
-RPM=( @RPMBUILD@ --eval "%define _sourcedir $sourcedir" \
- --eval "%define _specdir $sourcedir" \
- --eval "%define _builddir $tmpdir/build" )
-PATH="$tmpdir/bin:$PATH"
-
# wrapper script for patch and tar
cat <<-'EOF' > $tmpdir/bin/wrapper
#! @BASH@
@@ -192,10 +187,14 @@ ln -s wrapper $tmpdir/bin/patch
ln -s wrapper $tmpdir/bin/tar
# let rpm do all the dirty specfile stuff ...
-set -- @RPMBUILD@
-echo -n "### ${1##*/}: " >&4
-
-"${RPM[@]}" --nodeps -bp "$specfile" < /dev/null >&2
+echo -n "### rpmbuild: " >&4
+
+export PATH="$tmpdir/bin:$PATH"
+rpmbuild --eval "%define _sourcedir $sourcedir" \
+ --eval "%define _specdir $sourcedir" \
+ --eval "%define _builddir $tmpdir/build" \
+ --nodeps \
+ -bp "$specfile" < /dev/null >&2
status=$?
echo >&4
exit $status
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index 308548a..d378037 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -80,13 +80,13 @@ fi
# Quote a string for use in a basic regular expression.
quote_bre()
{
- echo "$1" | @SED@ -e 's:\([][^$/.*\\]\):\\\1:g'
+ echo "$1" | sed -e 's:\([][^$/.*\\]\):\\\1:g'
}
# Quote a string for use in an extended regular expression.
quote_re()
{
- echo "$1" | @SED@ -e 's:\([][?{(|)}^$/.+*\\]\):\\\1:g'
+ echo "$1" | sed -e 's:\([][?{(|)}^$/.+*\\]\):\\\1:g'
}
basename()
@@ -118,7 +118,7 @@ patch_args()
if [ -e $SERIES ]
then
- @AWK@ '
+ awk '
{sub(/(^|[ \t]+)#.*/, "") }
$1 == "'"$patch"'" \
{ if (NF >= 2)
@@ -163,7 +163,7 @@ change_db_strip_level()
if [ -e $SERIES ]
then
local tmpfile=$(gen_tempfile)
- @AWK@ '
+ awk '
/^'"$(quote_re $patch)"'([ \t]|$)/ \
{ for(i=2; i<=NF; i++)
if ($i ~ /^-p/) {
@@ -212,7 +212,7 @@ insert_in_series()
mkdir -p $(dirname $SERIES)
if [ -n "$next" ]
then
- @AWK@ '
+ awk '
/^'"$(quote_re $next)"'([ \t]|$)/ \
{ print "'"$patch$patch_args"'" }
{ print }
@@ -239,7 +239,7 @@ remove_from_series()
local patch=$1
tmpfile=$(gen_tempfile) || return 1
- @AWK@ '
+ awk '
! /^'"$(quote_re $patch)"'([ \t]|$)/ \
{ print }
' $SERIES > $tmpfile
@@ -257,7 +257,7 @@ rename_in_series()
local from=$1 to=$2
tmpfile=$(gen_tempfile) || return 1
- @AWK@ '
+ awk '
/^'"$(quote_re $from)"'([ \t]|$)/ \
{ sub(/'"$(quote_re $from)"'/, "'"${to//\"/\\\"}"'")
good=1 }
@@ -278,7 +278,7 @@ rename_in_db()
local from=$1 to=$2
local tmpfile
tmpfile=$(gen_tempfile) || return 1
- @AWK@ '
+ awk '
/^'"$(quote_re $from)"'$/ \
{ sub(/'"$(quote_re $from)"'/, "'"${to//\"/\\\"}"'")
good=1 }
@@ -309,8 +309,8 @@ cat_series()
{
if [ -e $SERIES ]
then
- @SED@ -e '/^$/d' -e '/^#/d' -e 's/^[ '$'\t'']*//' \
- -e 's/[ '$'\t''].*//' $SERIES
+ sed -e '/^$/d' -e '/^#/d' -e 's/^[ '$'\t'']*//' \
+ -e 's/[ '$'\t''].*//' $SERIES
else
return 1
fi
@@ -345,7 +345,7 @@ applied_before()
if [ -n "$patch" ]
then
- @AWK@ '
+ awk '
$0 == "'"$patch"'" { exit }
{ print }
' $DB
@@ -359,7 +359,7 @@ patches_before()
if [ -n "$patch" ]
then
cat_series \
- | @AWK@ '
+ | awk '
$0 == "'"$patch"'" { exit }
{ print }
'
@@ -372,7 +372,7 @@ patches_after()
if [ -n "$patch" ]
then
cat_series \
- | @AWK@ '
+ | awk '
seen { print }
$0 == "'"$patch"'" { seen=1 }
'
@@ -386,7 +386,7 @@ patches_on_top_of()
{
local patch=$1
[ -e $DB ] || return
- @AWK@ '
+ awk '
$0 == "'"$patch"'" { seen=1 ; next }
seen { print }
' $DB
@@ -437,7 +437,7 @@ find_patch()
then
local patch="${1#$SUBDIR_DOWN$QUILT_PATCHES/}"
local bre=$(quote_bre "$patch")
- set -- $(@SED@ -e "/^$bre\(\|\.patch\|\.diff\?\)\(\|\.gz\|\.bz2\)\([ "$'\t'"]\|$\)/!d" \
+ set -- $(sed -e "/^$bre\(\|\.patch\|\.diff\?\)\(\|\.gz\|\.bz2\)\([ "$'\t'"]\|$\)/!d" \
-e 's/[ '$'\t''].*//' $SERIES)
if [ $# -eq 1 ]
then
@@ -487,7 +487,7 @@ filenames_in_patch()
if [ -e "$patch_file" ]
then
local strip=$(patch_strip_level $patch)
- @AWK@ '
+ awk '
($1 == "+++" || $1 == "---" || $1 == "***") && \
$3 != "----" && $3 != "****" \
{ sub(/\t.*/, "")
@@ -505,7 +505,7 @@ files_in_patch_ordered()
( files_in_patch $patch | sort
echo "-"
filenames_in_patch $patch
- ) | @AWK@ '
+ ) | awk '
$1 == "-" { out=1 ; next }
!out { files[$0]=1
new_files[++n]=$0 }
@@ -562,8 +562,8 @@ diff_file()
-r "$new_file")
fi
- @DIFF@ -N $QUILT_DIFF_OPTS $old_file $new_file \
- --label "$old_hdr$old_date" --label "$new_hdr$new_date" \
+ diff -N $QUILT_DIFF_OPTS $old_file $new_file \
+ --label "$old_hdr$old_date" --label "$new_hdr$new_date" \
| if read line
then
if [ -z "$QUILT_NO_DIFF_INDEX" ]
@@ -615,7 +615,7 @@ cat_to_new_file()
patch_header()
{
- @AWK@ '
+ awk '
$1 == "***" || $1 == "---" \
{ exit }
/^Index:[ \t]|^diff[ \t]|^==*$|^RCS file: |^retrieving revision [0-9]+(\.[0-9]+)*$/ \
@@ -628,7 +628,7 @@ patch_header()
patch_body()
{
- @AWK@ '
+ awk '
/^Index:[ \t]|^diff[ \t]|^==*$|^RCS file: |^retrieving revision [0-9]+(\.[0-9]+)*$/ \
{ eat = eat $0 "\n"
next }
@@ -657,9 +657,9 @@ gen_tempfile()
local name
if [ "$1" = -d ]
then
- @MKTEMP@ -d ${2:-${TMPDIR:-/tmp}/${0// /_}}.XXXXXX
+ mktemp -d ${2:-${TMPDIR:-/tmp}/${0// /_}}.XXXXXX
else
- @MKTEMP@ ${1:-${TMPDIR:-/tmp}/${0// /_}}.XXXXXX
+ mktemp ${1:-${TMPDIR:-/tmp}/${0// /_}}.XXXXXX
fi
}
@@ -730,7 +730,7 @@ quilt_command ()
local command=$1
shift
- QUILT_COMMAND="" @BASH@ $BASH_OPTS -c ". @QUILT@/$command" "quilt $command" "$@"
+ QUILT_COMMAND="" bash $BASH_OPTS -c ". @QUILT@/$command" "quilt $command" "$@"
}
#